API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/webhooks

POST/v1/webhooks

CodeMeta OS API endpoint.

Request Body

NameTypBeschreibung
nameerforderlichstring
urlerforderlichstring<uri>
descriptionstring
eventTypeserforderlichstring[]
entityTypesstring[]
timeoutMsinteger
maxRetriesinteger
retryBackoffMsinteger
allowedIpRangesstring[]
customHeadersobject

Beispiel

curl -X POST https://api.codemeta-os.de/v1/webhooks \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "name": "string",
  "url": "string",
  "description": "string",
  "eventTypes": [],
  "entityTypes": [],
  "timeoutMs": 0,
  "maxRetries": 0,
  "retryBackoffMs": 0,
  "allowedIpRanges": [],
  "customHeaders": null
}'
const result = await cm.webhooks.post({
  "name": "string",
  "url": "string",
  "description": "string",
  "eventTypes": [],
  "entityTypes": [],
  "timeoutMs": 0,
  "maxRetries": 0,
  "retryBackoffMs": 0,
  "allowedIpRanges": [],
  "customHeaders": null
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche